summaryrefslogtreecommitdiff
path: root/i386
diff options
context:
space:
mode:
authorThomas Schwinge <tschwinge@gnu.org>2006-01-22 15:54:41 +0000
committerThomas Schwinge <tschwinge@gnu.org>2009-06-18 00:26:29 +0200
commit4ad86505c480b2964548328a959c662e8aef5422 (patch)
tree9cc9b8f80d561ae7d7451d95a26ff8c252e86504 /i386
parent656d6634de02862e837f3a7d80a49e9ca072398d (diff)
2006-01-22 Thomas Schwinge <tschwinge@gnu.org>
* configure, i386/configure, i386/linux/configure, linux/configure, i386/linux/device-drivers.h.in: Regenerated. * linux/src/drivers/net/ne2k-pci.c: Resolve conflicts. 2006-01-22 Guillem Jover <guillem@hadrons.org> * i386/linux/configure.ac: Renamed winbond-840 driver to winbond_840. Enable the starfire, intel_gige and natsemi network drivers. Remove "CONFIG_" from cb_chim, starfire, sundance, winbond840, hamachi, natsemi, myson803 and ns820 driver declarations. Replace INTER_GIGE with INTEL_GIGE. * linux/dev/drivers/net/Space.c: Add conditional probes for natsemi, ns820, winbond840, hamachi, sundance, starfire, myson803 and intel-gige drivers. * linux/src/include/asm-i386/cache.h: New file from linux 2.2.26. * linux/dev/include/linux/malloc.h: Include <asm/cache.h>. * linux/src/drivers/net/ns820.c (netsami_drv_id): Renamed to ... (ns820_drv_id): ... this. Fix all callers. * linux/src/drivers/net/intel-gige.c (skel_netdev_probe): Renamed to ... (igige_probe): ... this. * linux/dev/drivers/net/eepro100.c: Remove obsoleted file. * linux/src/drivers/net/eepro100.c (pci_id_tbl): Add PCI ID's from linux-2.6.14-rc4. 2006-01-22 Alfred M. Szmidt <ams@gnu.org> * i386/linux/configure.ac: Added `pci-scan.o' to the network driver class. (ns820, myson803, sundance, winbond-840, hamachi): New drivers. * i386/linux/Makefile.in (linux-net-files): Added `cb_shim.c', `hamachi.c', `intel-gige.c', `myson803.c', `natsemi.c', `ns820.c', `starfire.c', `sundance.c', `winbond-840.c' and `pci-scan.c'. * linux/dev/include/linux/modversions.h: New file. * linux/src/drivers/net/cb_shim.c, linux/src/drivers/net/hamachi.c, linux/src/drivers/net/intel-gige.c, linux/src/drivers/net/myson803.c, linux/src/drivers/net/natsemi.c, linux/src/drivers/net/ns820.c, linux/src/drivers/net/starfire.c, linux/src/drivers/net/sundance.c, linux/src/drivers/net/winbond-840.c, linux/src/drivers/net/kern_compat.h, linux/src/drivers/net/pci-scan.c, linux/src/drivers/net/pci-scan.h: New files from netdrivers 3.5 package (http://www.scyld.com/network). * linux/src/drivers/net/3c59x.c, linux/src/drivers/net/eepro100.c, linux/src/drivers/net/epic100.c, linux/src/drivers/net/ne2k-pci.c, linux/src/drivers/net/rtl8139.c, linux/src/drivers/net/tulip.c, linux/src/drivers/net/via-rhine.c, linux/src/drivers/net/yellowfin.c: Updated files from netdrivers 3.5 (http://www.scyld.com/network).
Diffstat (limited to 'i386')
-rwxr-xr-xi386/configure15
-rw-r--r--i386/linux/Makefile.in9
-rwxr-xr-xi386/linux/configure323
-rw-r--r--i386/linux/configure.ac18
-rw-r--r--i386/linux/device-drivers.h.in24
5 files changed, 363 insertions, 26 deletions
diff --git a/i386/configure b/i386/configure
index 00a8f9d..fbaf7e3 100755
--- a/i386/configure
+++ b/i386/configure
@@ -876,7 +876,7 @@ esac
else
echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
fi
- cd "$ac_popdir"
+ cd $ac_popdir
done
fi
@@ -2246,6 +2246,11 @@ esac
+ if test x"$ac_file" != x-; then
+ { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+ rm -f "$ac_file"
+ fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
@@ -2284,12 +2289,6 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
fi;;
esac
done` || { (exit 1); exit 1; }
-
- if test x"$ac_file" != x-; then
- { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
- rm -f "$ac_file"
- fi
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF
sed "$ac_vpsub
@@ -2521,7 +2520,7 @@ echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
{ (exit 1); exit 1; }; }
fi
- cd "$ac_popdir"
+ cd $ac_popdir
done
fi
diff --git a/i386/linux/Makefile.in b/i386/linux/Makefile.in
index b0494d9..ee02d86 100644
--- a/i386/linux/Makefile.in
+++ b/i386/linux/Makefile.in
@@ -1,5 +1,5 @@
# Makefile for Linux device drivers and the glue codes.
-# Copyright 1998, 1999 Free Software Foundation, Inc.
+# Copyright 1998, 1999, 2006 Free Software Foundation, Inc.
#
# Permission to use, copy, modify and distribute this software and its
# documentation is hereby granted, provided that both the copyright
@@ -68,7 +68,12 @@ linux-net-files = auto_irq.c 3c501.c 3c503.c 3c505.c 3c507.c 3c509.c \
eexpress.c epic100.c eth16i.c ewrk3.c fmv18x.c hp-plus.c hp.c hp100.c \
lance.c ne.c ne2k-pci.c net_init.c ni52.c ni65.c pcnet32.c rtl8139.c \
seeq8005.c sk_g16.c smc-ultra.c smc-ultra32.c tlan.c tulip.c \
- via-rhine.c wavelan.c wd.c yellowfin.c znet.c net.c
+ via-rhine.c wavelan.c wd.c yellowfin.c znet.c \
+ cb_shim.c hamachi.c intel-gige.c myson803.c natsemi.c ns820.c \
+ starfire.c sundance.c winbond-840.c \
+ pci-scan.c \
+ net.c
+
vpath %.c $(linuxsrcdir)/dev/drivers/net
vpath %.c $(linuxsrcdir)/dev/net/core
vpath %.c $(linuxsrcdir)/src/drivers/net
diff --git a/i386/linux/configure b/i386/linux/configure
index 0925037..dc3db67 100755
--- a/i386/linux/configure
+++ b/i386/linux/configure
@@ -910,6 +910,22 @@ Optional Features:
--enable-gdth enable driver alias gdth for gdth
--enable-gdth enable driver gdth
--enable-flashpoint enable SCSI flashpoint [default=no]
+ --enable-starfire enable driver alias starfire for starfire
+ --enable-starfire enable driver starfire
+ --enable-sundance enable driver alias sundance for sundance
+ --enable-sundance enable driver sundance
+ --enable-winbond-840 enable driver alias winbond-840 for winbond_840
+ --enable-winbond_840 enable driver winbond_840
+ --enable-hamachi enable driver alias hamachi for hamachi
+ --enable-hamachi enable driver hamachi
+ --enable-intel-gige enable driver alias intel-gige for intel_gige
+ --enable-intel_gige enable driver intel_gige
+ --enable-natsemi enable driver alias natsemi for natsemi
+ --enable-natsemi enable driver natsemi
+ --enable-myson803 enable driver alias myson803 for myson803
+ --enable-myson803 enable driver myson803
+ --enable-ns820 enable driver alias ns820 for ns820
+ --enable-ns820 enable driver ns820
--enable-ne2000 enable driver ne2000
--enable-el2 enable driver el2
--enable-el3 enable driver el3
@@ -1081,7 +1097,7 @@ esac
else
echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
fi
- cd "$ac_popdir"
+ cd $ac_popdir
done
fi
@@ -2260,7 +2276,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2318,7 +2335,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2434,7 +2452,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2488,7 +2507,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2533,7 +2553,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -2577,7 +2598,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@ -3085,7 +3107,7 @@ driver_class_scsi_files=" \
driver_class_net_option=CONFIG_INET
driver_class_net_files=" \
- auto_irq.o net.o Space.o dev.o net_init.o"
+ auto_irq.o net.o Space.o dev.o net_init.o pci-scan.o"
@@ -4111,6 +4133,280 @@ fi;
+
+
+# Checking for alias starfire
+# Check whether --enable-starfire or --disable-starfire was given.
+if test "${enable_starfire+set}" = set; then
+ enableval="$enable_starfire"
+ enable_starfire="$enable_starfire"
+
+fi;
+
+# Checking for device driver option starfire
+# Check whether --enable-starfire or --disable-starfire was given.
+if test "${enable_starfire+set}" = set; then
+ enableval="$enable_starfire"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_STARFIRE 1
+_ACEOF
+
+device_drivers="$device_drivers starfire.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
+# Checking for alias sundance
+# Check whether --enable-sundance or --disable-sundance was given.
+if test "${enable_sundance+set}" = set; then
+ enableval="$enable_sundance"
+ enable_sundance="$enable_sundance"
+
+fi;
+
+# Checking for device driver option sundance
+# Check whether --enable-sundance or --disable-sundance was given.
+if test "${enable_sundance+set}" = set; then
+ enableval="$enable_sundance"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_SUNDANCE 1
+_ACEOF
+
+device_drivers="$device_drivers sundance.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
+# Checking for alias winbond-840
+# Check whether --enable-winbond-840 or --disable-winbond-840 was given.
+if test "${enable_winbond_840+set}" = set; then
+ enableval="$enable_winbond_840"
+ enable_winbond_840="$enable_winbond-840"
+
+fi;
+
+# Checking for device driver option winbond_840
+# Check whether --enable-winbond_840 or --disable-winbond_840 was given.
+if test "${enable_winbond_840+set}" = set; then
+ enableval="$enable_winbond_840"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_WINBOND840 1
+_ACEOF
+
+device_drivers="$device_drivers winbond-840.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
+# Checking for alias hamachi
+# Check whether --enable-hamachi or --disable-hamachi was given.
+if test "${enable_hamachi+set}" = set; then
+ enableval="$enable_hamachi"
+ enable_hamachi="$enable_hamachi"
+
+fi;
+
+# Checking for device driver option hamachi
+# Check whether --enable-hamachi or --disable-hamachi was given.
+if test "${enable_hamachi+set}" = set; then
+ enableval="$enable_hamachi"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_HAMACHI 1
+_ACEOF
+
+device_drivers="$device_drivers hamachi.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
+# Checking for alias intel-gige
+# Check whether --enable-intel-gige or --disable-intel-gige was given.
+if test "${enable_intel_gige+set}" = set; then
+ enableval="$enable_intel_gige"
+ enable_intel_gige="$enable_intel-gige"
+
+fi;
+
+# Checking for device driver option intel_gige
+# Check whether --enable-intel_gige or --disable-intel_gige was given.
+if test "${enable_intel_gige+set}" = set; then
+ enableval="$enable_intel_gige"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_INTEL_GIGE 1
+_ACEOF
+
+device_drivers="$device_drivers intel-gige.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
+# Checking for alias natsemi
+# Check whether --enable-natsemi or --disable-natsemi was given.
+if test "${enable_natsemi+set}" = set; then
+ enableval="$enable_natsemi"
+ enable_natsemi="$enable_natsemi"
+
+fi;
+
+# Checking for device driver option natsemi
+# Check whether --enable-natsemi or --disable-natsemi was given.
+if test "${enable_natsemi+set}" = set; then
+ enableval="$enable_natsemi"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_NATSEMI 1
+_ACEOF
+
+device_drivers="$device_drivers natsemi.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
+# Checking for alias myson803
+# Check whether --enable-myson803 or --disable-myson803 was given.
+if test "${enable_myson803+set}" = set; then
+ enableval="$enable_myson803"
+ enable_myson803="$enable_myson803"
+
+fi;
+
+# Checking for device driver option myson803
+# Check whether --enable-myson803 or --disable-myson803 was given.
+if test "${enable_myson803+set}" = set; then
+ enableval="$enable_myson803"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_MYSON803 1
+_ACEOF
+
+device_drivers="$device_drivers myson803.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
+# Checking for alias ns820
+# Check whether --enable-ns820 or --disable-ns820 was given.
+if test "${enable_ns820+set}" = set; then
+ enableval="$enable_ns820"
+ enable_ns820="$enable_ns820"
+
+fi;
+
+# Checking for device driver option ns820
+# Check whether --enable-ns820 or --disable-ns820 was given.
+if test "${enable_ns820+set}" = set; then
+ enableval="$enable_ns820"
+
+if test "x$enableval" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_NS820 1
+_ACEOF
+
+device_drivers="$device_drivers ns820.o"
+if test "${driver_class_net_selected+set}" != set; then
+ driver_class_net_selected=yes
+ cat >>confdefs.h <<_ACEOF
+#define $driver_class_net_option 1
+_ACEOF
+
+ device_drivers="$device_drivers $driver_class_net_files"
+fi
+fi
+
+fi;
+
+
+
# Checking for device driver option ne2000
# Check whether --enable-ne2000 or --disable-ne2000 was given.
if test "${enable_ne2000+set}" = set; then
@@ -6302,6 +6598,11 @@ esac
+ if test x"$ac_file" != x-; then
+ { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+ rm -f "$ac_file"
+ fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
@@ -6340,12 +6641,6 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
fi;;
esac
done` || { (exit 1); exit 1; }
-
- if test x"$ac_file" != x-; then
- { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
- rm -f "$ac_file"
- fi
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF
sed "$ac_vpsub
diff --git a/i386/linux/configure.ac b/i386/linux/configure.ac
index 7fca47c..caebed7 100644
--- a/i386/linux/configure.ac
+++ b/i386/linux/configure.ac
@@ -1,5 +1,5 @@
dnl Device driver options for i386
-dnl Copyright 1997, 1999, 2004 Free Software Foundation, Inc.
+dnl Copyright 1997, 1999, 2004, 2006 Free Software Foundation, Inc.
dnl Permission to use, copy, modify and distribute this software and its
dnl documentation is hereby granted, provided that both the copyright
@@ -108,7 +108,7 @@ AC_DRIVER_CLASS([scsi], [CONFIG_SCSI], [ \
sd_ioctl.o sr.o sr_ioctl.o])
AC_DRIVER_CLASS([net], [CONFIG_INET], [ \
- auto_irq.o net.o Space.o dev.o net_init.o])
+ auto_irq.o net.o Space.o dev.o net_init.o pci-scan.o])
dnl Strictly speaking, we could have a `linux' option too, but it's
dnl not possible to built a useful kernel without at least one Linux
@@ -170,6 +170,20 @@ AC_ARG_ENABLE([flashpoint],
dnl Ethernet controllers
+dnl FIXME: Can't be enabled since it is a pcmcia driver, and we don't
+dnl have that kind of fluff.
+dnl
+dnl linux_DRIVER([cb_shim], [CB_SHIM], [cb_shim], [net])
+
+linux_DRIVER([starfire], [STARFIRE], [starfire], [net])
+linux_DRIVER([sundance], [SUNDANCE], [sundance], [net])
+linux_DRIVER([winbond_840], [WINBOND840], [winbond-840], [net])
+linux_DRIVER([hamachi], [HAMACHI], [hamachi], [net])
+linux_DRIVER([intel_gige], [INTEL_GIGE], [intel-gige], [net])
+linux_DRIVER([natsemi], [NATSEMI], [natsemi], [net])
+linux_DRIVER([myson803], [MYSON803], [myson803], [net])
+linux_DRIVER([ns820], [NS820], [ns820], [net])
+
AC_DRIVER([ne2000], [CONFIG_NE2000], [ne.o 8390.o], [net])
AC_DRIVER([el2], [CONFIG_EL2], [3c503.o 8390.o], [net])
linux_DRIVER([el3], [EL3], [3c509], [net])
diff --git a/i386/linux/device-drivers.h.in b/i386/linux/device-drivers.h.in
index b4cb1bf..f7c1250 100644
--- a/i386/linux/device-drivers.h.in
+++ b/i386/linux/device-drivers.h.in
@@ -75,6 +75,9 @@
/* fmv18x */
#undef CONFIG_FMV18X
+/* hamachi */
+#undef CONFIG_HAMACHI
+
/* hp100 */
#undef CONFIG_HP100
@@ -87,6 +90,9 @@
/* Driver Class net */
#undef CONFIG_INET
+/* intel_gige */
+#undef CONFIG_INTEL_GIGE
+
/* lance */
#undef CONFIG_LANCE
@@ -102,6 +108,12 @@
/* 686 */
#undef CONFIG_M686
+/* myson803 */
+#undef CONFIG_MYSON803
+
+/* natsemi */
+#undef CONFIG_NATSEMI
+
/* ne2000 */
#undef CONFIG_NE2000
@@ -114,6 +126,9 @@
/* ni65 */
#undef CONFIG_NI65
+/* ns820 */
+#undef CONFIG_NS820
+
/* pcnet32 */
#undef CONFIG_PCNET32
@@ -216,6 +231,12 @@
/* skg16 */
#undef CONFIG_SK_G16
+/* starfire */
+#undef CONFIG_STARFIRE
+
+/* sundance */
+#undef CONFIG_SUNDANCE
+
/* tlan */
#undef CONFIG_TLAN
@@ -237,6 +258,9 @@
/* wd80x3 */
#undef CONFIG_WD80x3
+/* winbond_840 */
+#undef CONFIG_WINBOND840
+
/* yellowfin */
#undef CONFIG_YELLOWFIN